import logging


class BaseCrawlerException(Exception):
    def __init__(self, message: str):
        self.message = message
        logging.warning(message)

    def __str__(self):
        return self.message


class AmoCrawlerException(BaseCrawlerException):
    message = 'Billing is not available!'

    def __init__(self):
        super().__init__(message=self.message)


class ElementHiddenException(BaseCrawlerException):
    message = 'Element is not available but hidden!'

    def __init__(self):
        super().__init__(message=self.message)


class BillingNotAvailableException(BaseCrawlerException):
    message = 'Billing is not available!'

    def __init__(self):
        super().__init__(message=self.message)


class IDNotFoundException(BaseCrawlerException):
    message = 'Account with same ID not found'

    def __init__(self):
        super().__init__(message=self.message)
